API docs

Rights

Get intellectual property rights for a company.

Returns a paginated list of intellectual property rights (trademarks, patents, etc.) registered to the specified company.

Endpoint

GET /api/v1/companies/:company_id/rights

Parameters

ParameterTypeInDescription
company_idintegerpathThe unique identifier of the company.
pageintegerbodyPage number (default: 1).
limitintegerbodyRecords per page (default: 100).

Code Examples

Get rights

import requests

url = 'https://statsnet.co/api/v1/companies/12345/rights'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)

Response

Success response

{
  "rights": [
    {
      "id": 1,
      "jurisdiction": "kz",
      "name": "STATSNET",
      "object_type": "trademark",
      "object_date": "2023-06-01T00:00:00Z",
      "status": "active",
      "registration_number": "TM-2024-001",
      "registration_date": "2024-01-01T00:00:00Z",
      "application_date": "2023-06-01T00:00:00Z",
      "holders": ["Company Name LLP"],
      "created_at": "2024-01-14T00:06:22.439Z",
      "updated_at": "2024-01-15T13:24:54.248Z"
    }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}

Error Handling

Error response (403)

{
  "status": 403,
  "message": "access denied"
}

Payment required (402)

{
  "status": 402,
  "message": "payment required"
}

Quota exhausted (429)

{
  "status": 429,
  "message": "quota exhausted"
}